package lib.turtle;

abstract Structure(Array<Layer>) from Array<Layer> {
	public inline function getLayer(i:Int):Layer {
		return this[i];
	}

	public inline function height():Int {
		return this.length;
	}
}

abstract Layer(Array<Array<Bool>>) from Array<Array<Bool>> {
	public inline function get(x:Int, y:Int):Bool {
		return this[y][x];
	}

	public inline function width():Int {
		return this[0].length;
	}

	public inline function height():Int {
		return this.length;
	}
}
